gitlab-runner:
  rbac:
    create: true
    rules:
      - apiGroups: [""]
        resources: ["pods"]
        verbs: ["list", "get", "watch", "create", "delete"]
      - apiGroups: [""]
        resources: ["pods/exec"]
        verbs: ["create"]
      - apiGroups: [""]
        resources: ["pods/log"]
        verbs: ["get"]
      - apiGroups: [""]
        resources: ["pods/attach"]
        verbs: ["list", "get", "create", "delete", "update"]
      - apiGroups: [""]
        resources: ["secrets"]
        verbs: ["list", "get", "create", "delete", "update"]      
      - apiGroups: [""]
        resources: ["configmaps"]
        verbs: ["list", "get", "create", "delete", "update"]      
